前言

项目全线使用vue3的时候,自然使用的是配套更加契合的vite打包工具,于是自然而然会用到很多新的语法,比如这两年开始普及的可选链语法,这个语法都已经纳入声呐的代码规范中了,但是vite自身打包的时候,并不会做过多的兼容处理。

默认情况vite的兼容目标是支持原生ES模块原生ESM动态导入import.meta的浏览器,官方预设的兼容目标如下:

  1. es2020
  2. edge 88
  3. firefox 78
  4. chrome 87
  5. safari 14

而我们的可选链正是es2020版本才有的,所以vite在打包后不会做任何兼容处理,这就导致了一些浏览器版本低一点的设备,打开网站就会出现白屏的情况。

显然这么新的版本在大部分的目标用户中,也是很超前的,所以做一些适当的兼容处理还是有必要的。

教程

此处内容已隐藏回复后方可阅读。

分类: vue 项目实战 标签: vue3vite兼容低版本白屏legacy

评论

全部评论 45

  1. 休息下
    休息下
    Google Chrome MacOS
    1X中心洗澡洗澡洗澡先
  2. faya
    faya
    Google Chrome Windows 10
    测试测试测试
  3. 1
    1
    Google Chrome MacOS
    122223e萨芬 是的
  4. 1
    1
    Google Chrome Windows 10
    测试回复师父父
  5. fanvor
    fanvor
    Google Chrome Windows 10
    看看教程是啥
  6. xxx
    xxx
    Google Chrome Windows 10
    测试323
  7. www
    www
    Google Chrome MacOS
    看看教程是啥
  8. 呃呃
    呃呃
    Google Chrome Windows 10
    我问问aas
  9. 111你后面
    111你后面
    Google Chrome MacOS
    111你后面
  10. 晋级了
    晋级了
    Google Chrome Android
    111你后面

目录